Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Win32_CAPI_EntropySource::CSP_Handle Class Referenceabstract

`#include <es_capi.h>`

## Public Member Functions
virtual size_t | gen_random (uint8_t out[], size_t n) const =0

## Detailed Description

Definition at line 32 of file es_capi.h.

## Member Function Documentation

virtual size_t Botan::Win32_CAPI_EntropySource::CSP_Handle::gen_random | ( | uint8_t | out[],
|  | size_t | n
| ) |  | const
| pure virtual

The documentation for this class was generated from the following file:

- src/lib/entropy/cryptoapi_rng/es_capi.h